clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::SubsequenceMatcher< T > Class Template Reference

`#include <Matchers.h>`

Inheritance diagram for clang::clangd::SubsequenceMatcher< T >:
[legend]
Collaboration diagram for clang::clangd::SubsequenceMatcher< T >:
[legend]

## Public Member Functions
| SubsequenceMatcher (std::vector< Matcher< T >> M)
void | DescribeTo (std::ostream *OS) const override
bool | MatchAndExplain (const std::vector< T > &V, ::testing::MatchResultListener *L) const override

## Detailed Description

### template<typename T>
class clang::clangd::SubsequenceMatcher< T >

Definition at line 37 of file clangd/unittests/Matchers.h.

## Constructor & Destructor Documentation

## ◆ SubsequenceMatcher()

template<typename T >

clang::clangd::SubsequenceMatcher< T >::SubsequenceMatcher | ( | std::vector< Matcher< T >> | M | ) |
| inline

Definition at line 42 of file clangd/unittests/Matchers.h.

## Member Function Documentation

## ◆ DescribeTo()

template<typename T >

void clang::clangd::SubsequenceMatcher< T >::DescribeTo | ( | std::ostream * | OS | ) | const
| inline override

Definition at line 44 of file clangd/unittests/Matchers.h.

Referenced by clang::clangd::OptionalMatcher< InnerMatcher >::operator Matcher< Optional >().

## ◆ MatchAndExplain()

template<typename T >

bool clang::clangd::SubsequenceMatcher< T >::MatchAndExplain | ( | const std::vector< T > & | V,
|  | ::testing::MatchResultListener * | L
| ) |  | const
| inline override

Definition at line 55 of file clangd/unittests/Matchers.h.

Referenced by clang::clangd::OptionalMatcher< InnerMatcher >::operator Matcher< Optional >().

The documentation for this class was generated from the following file:

- clangd/unittests/Matchers.h